function eckpunkte = EckPunkte(MittelPunkt)
%ECKPUNKTE Berechnet die Eckpunkte einer Zelle
%   Für einen gegebenen Zellmittelpunkt werden die Eckpunkte der Zelle als
%   Vektor zurückgegeben. Reihenfolge vom linken Eckpunkt im
%   Uhrzeigersinn.
global DX;

eckpunkte = [ MittelPunkt-1, ...
              MittelPunkt+DX-1+mod(idivide(MittelPunkt,uint32(DX)),2), ...
              MittelPunkt+DX+mod(idivide(MittelPunkt,uint32(DX)),2), ...
              MittelPunkt+1, ...
              MittelPunkt-DX+mod(idivide(MittelPunkt,uint32(DX)),2), ...
              MittelPunkt-DX-1+mod(idivide(MittelPunkt,uint32(DX)),2) ];

end

